policies
Create policies policies
Requires scopes: eval:write
POST
/
api
/
policies
Create policies policies
curl --request POST \
--url https://evalgate.com/api/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"key": "<string>",
"pack": {
"name": "<string>",
"schemaVersion": 1,
"mode": "active",
"description": "<string>",
"metadata": {},
"policies": [
{
"id": "<string>",
"name": "<string>",
"actions": [
{
"type": "observe_only"
}
],
"scope": "input",
"description": "<string>",
"metadata": {},
"enabled": false,
"priority": 123,
"conditions": [
{
"value": "<string>",
"operator": "includes",
"field": "severity"
}
]
}
]
},
"summary": {},
"metadata": {},
"displayName": "<string>"
},
"operation": "create_draft"
}
'import requests
url = "https://evalgate.com/api/policies"
payload = {
"data": {
"key": "<string>",
"pack": {
"name": "<string>",
"schemaVersion": 1,
"mode": "active",
"description": "<string>",
"metadata": {},
"policies": [
{
"id": "<string>",
"name": "<string>",
"actions": [{ "type": "observe_only" }],
"scope": "input",
"description": "<string>",
"metadata": {},
"enabled": False,
"priority": 123,
"conditions": [
{
"value": "<string>",
"operator": "includes",
"field": "severity"
}
]
}
]
},
"summary": {},
"metadata": {},
"displayName": "<string>"
},
"operation": "create_draft"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
key: '<string>',
pack: {
name: '<string>',
schemaVersion: 1,
mode: 'active',
description: '<string>',
metadata: {},
policies: [
{
id: '<string>',
name: '<string>',
actions: [{type: 'observe_only'}],
scope: 'input',
description: '<string>',
metadata: {},
enabled: false,
priority: 123,
conditions: [{value: '<string>', operator: 'includes', field: 'severity'}]
}
]
},
summary: {},
metadata: {},
displayName: '<string>'
},
operation: 'create_draft'
})
};
fetch('https://evalgate.com/api/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "draft",
"rationale": "<string>",
"summary": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"metadata": {},
"environment": "dev",
"kind": "policy_pack",
"artifactId": 123,
"versionId": 123,
"payload": {
"name": "<string>",
"mode": "active",
"schemaVersion": 1,
"policies": [
{
"id": "<string>",
"name": "<string>",
"actions": [
{
"type": "observe_only"
}
],
"scope": "input",
"enabled": true,
"priority": 123,
"conditions": [
{
"value": "<string>",
"operator": "includes",
"field": "severity"
}
],
"description": "<string>",
"metadata": {}
}
],
"description": "<string>",
"metadata": {}
},
"versionNumber": 123,
"displayName": "<string>",
"promotedBy": "<string>",
"key": "<string>"
}{
"status": "draft",
"rationale": "<string>",
"summary": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"metadata": {},
"environment": "dev",
"kind": "policy_pack",
"artifactId": 123,
"versionId": 123,
"payload": {
"name": "<string>",
"mode": "active",
"schemaVersion": 1,
"policies": [
{
"id": "<string>",
"name": "<string>",
"actions": [
{
"type": "observe_only"
}
],
"scope": "input",
"enabled": true,
"priority": 123,
"conditions": [
{
"value": "<string>",
"operator": "includes",
"field": "severity"
}
],
"description": "<string>",
"metadata": {}
}
],
"description": "<string>",
"metadata": {}
},
"versionNumber": 123,
"displayName": "<string>",
"promotedBy": "<string>",
"key": "<string>"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
status
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>Option 7 · enum<string>
required
Available options:
draft Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
dev Available options:
policy_pack Show child attributes
Show child attributes
⌘I
Create policies policies
